# Uses of Class
org.springframework.http.client.ReactorResourceFactory

Packages that use ReactorResourceFactory
Package
Description
org.springframework.http.client
Contains an abstraction over client-side HTTP.
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.

## Uses of ReactorResourceFactory in org.springframework.http.client

Constructors in org.springframework.http.client with parameters of type ReactorResourceFactory
Modifier
Constructor
Description
``
`ReactorClientHttpRequestFactory(ReactorResourceFactory resourceFactory, Function<reactor.netty.http.client.HttpClient,reactor.netty.http.client.HttpClient> mapper)`
Constructor with externally managed Reactor Netty resources, including `LoopResources` for event loop threads, and `ConnectionProvider` for connection pooling.
``
`ReactorNettyClientRequestFactory(ReactorResourceFactory resourceFactory, Function<reactor.netty.http.client.HttpClient,reactor.netty.http.client.HttpClient> mapper)`
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.

## Uses of ReactorResourceFactory in org.springframework.http.client.reactive

Subclasses of ReactorResourceFactory in org.springframework.http.client.reactive
Modifier and Type
Class
Description
`class`
`ReactorResourceFactory`
Deprecated.
since 6.1 due to a package change; use `ReactorResourceFactory` instead.
Constructors in org.springframework.http.client.reactive with parameters of type ReactorResourceFactory
Modifier
Constructor
Description
``
`ReactorClientHttpConnector(ReactorResourceFactory resourceFactory, Function<reactor.netty.http.client.HttpClient,reactor.netty.http.client.HttpClient> mapper)`
Constructor with externally managed Reactor Netty resources, including `LoopResources` for event loop threads, and `ConnectionProvider` for the connection pool.